Sysbench fails to install on new Centos7

Bug #1340092 reported by Roel Van de Paar on 2014-07-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
sysbench
Undecided
Tomislav Plavcic

Bug Description

[root@localhost percona-qa]# sudo yum install sysbench
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: centos.syd.au.glomirror.com.au
 * epel: fedora.mirror.serversaustralia.com.au
 * extras: centos.mirror.uber.com.au
 * updates: centos.mirror.uber.com.au
Resolving Dependencies
--> Running transaction check
---> Package sysbench.x86_64 0:0.4.12-5.el6 will be installed
--> Processing Dependency: libmysqlclient_r.so.16(libmysqlclient_16)(64bit) for package: sysbench-0.4.12-5.el6.x86_64
--> Processing Dependency: libaio.so.1(LIBAIO_0.4)(64bit) for package: sysbench-0.4.12-5.el6.x86_64
--> Processing Dependency: libaio.so.1(LIBAIO_0.1)(64bit) for package: sysbench-0.4.12-5.el6.x86_64
--> Processing Dependency: libpq.so.5()(64bit) for package: sysbench-0.4.12-5.el6.x86_64
--> Processing Dependency: libmysqlclient_r.so.16()(64bit) for package: sysbench-0.4.12-5.el6.x86_64
--> Processing Dependency: libaio.so.1()(64bit) for package: sysbench-0.4.12-5.el6.x86_64
--> Running transaction check
---> Package libaio.x86_64 0:0.3.109-12.el7 will be installed
---> Package postgresql-libs.x86_64 0:9.2.7-1.el7 will be installed
---> Package sysbench.x86_64 0:0.4.12-5.el6 will be installed
--> Processing Dependency: libmysqlclient_r.so.16(libmysqlclient_16)(64bit) for package: sysbench-0.4.12-5.el6.x86_64
--> Processing Dependency: libmysqlclient_r.so.16()(64bit) for package: sysbench-0.4.12-5.el6.x86_64
--> Finished Dependency Resolution
Error: Package: sysbench-0.4.12-5.el6.x86_64 (epel)
           Requires: libmysqlclient_r.so.16()(64bit)
Error: Package: sysbench-0.4.12-5.el6.x86_64 (epel)
           Requires: libmysqlclient_r.so.16(libmysqlclient_16)(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Tags: pkg Edit Tag help
Changed in sysbench:
status: New → Confirmed
Changed in sysbench:
assignee: nobody → Tomislav Plavcic (tplavcic)
Tomislav Plavcic (tplavcic) wrote :

Roel,

the package you are trying to install is for centos6. I don't see packages for centos7 in official repo.
We can work on building package for centos7 if needed but for now setting this as invalid. If you wish you can open it and change requirement.

Changed in sysbench:
status: Confirmed → Invalid
Roel Van de Paar (roel11) wrote :

Looks like an el7 version was added now

================================================================================================================================================================
 Package Arch Version Repository Size
================================================================================================================================================================
Removing:
 sysbench x86_64 0.4.12-12.el7 @epel 172 k

Transaction Summary
================================================================================================================================================================

Tomislav Plavcic (tplavcic) wrote :

I missed this somehow, packages for el7 are in our repository I think for some time now and also for version 0.5.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers